Skip to main content
GET
/
api
/
mcp
/
servers
Get Mcp Servers
curl --request GET \
  --url https://api.example.com/api/mcp/servers \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "user_id": 123,
    "name": "<string>",
    "transport": "<string>",
    "description": "<string>",
    "config": {},
    "is_active": true,
    "is_default": true,
    "transport_display": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "connected_account": "<string>",
    "app_id": "<string>",
    "provider": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.xagent.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

id
integer
required
user_id
integer
required
name
string
required
transport
string
required
description
string | null
required
config
Config · object
required
is_active
boolean
required
is_default
boolean
required
transport_display
string
required
created_at
string
required
updated_at
string
required
connected_account
string | null
app_id
string | null
provider
string | null